/**
 *	@file	GetPixelsImageSettingsView.h
 *	@author	ENDO
 */

#ifndef __GETPIXELSIMAGESETTINGSVIEW_H__
#define __GETPIXELSIMAGESETTINGSVIEW_H__

#include <aknview.h>	// for CAknView.

class CGetPixelsAppUi;
class CGetPixelsImageSettingsContainer;
class CGetPixelsImageSettingsView : public CAknView
	{
public:
	static CGetPixelsImageSettingsView* NewL(void);
	virtual ~CGetPixelsImageSettingsView();

private:
	CGetPixelsImageSettingsView(void);
	void ConstructL(void);

private:
	// from CAknView.
	TUid Id(void) const;
	void HandleCommandL(TInt aCommand);
	void DoActivateL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage);
	void DoDeactivate(void);

private:
	CGetPixelsImageSettingsContainer* iContainer;
	CGetPixelsAppUi& iAppUi;
	};

#endif // __GETPIXELSIMAGESETTINGSVIEW_H__
