/**
 *	@file	GetPixelsSettingsView.h
 *	@author	ENDO
 */

#ifndef __GETPIXELSSETTINGSVIEW_H__
#define __GETPIXELSSETTINGSVIEW_H__

#include <aknview.h>	// for CAknView.

class CGetPixelsSettingsContainer;
class CGetPixelsSettingsView : public CAknView
	{
public:
	static CGetPixelsSettingsView* NewL(void);
	virtual ~CGetPixelsSettingsView();

private:
	CGetPixelsSettingsView(void);
	void ConstructL(void);

private:
	// from CAknView.
	TUid Id(void) const;
	void HandleCommandL(TInt aCommand);
	void DoActivateL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage);
	void DoDeactivate(void);

private:
	CGetPixelsSettingsContainer* iContainer;
	CGetPixelsAppUi& iAppUi;
	};

#endif // __GETPIXELSSETTINGSVIEW_H__
