/**
 *	@file	GetPixelsMainContainer.h
 *	@author	ENDO
 */

#ifndef __GETPIXELSMAINCONTAINER_H__
#define __GETPIXELSMAINCONTAINER_H__

class CFbsBitmap;
class CAknsBasicBackgroundControlContext;
class CGetPixelsAppUi;
class CGetPixelsMainContainer : public CCoeControl
	{
public:
	static CGetPixelsMainContainer* NewL(const TRect& aRect, CGetPixelsAppUi& aAppUi);
	virtual ~CGetPixelsMainContainer();

private:
	CGetPixelsMainContainer(const TRect& /* aRect */, CGetPixelsAppUi& aAppUi);
	void ConstructL(const TRect& aRect, CGetPixelsAppUi& /* aAppUi */);

public:
	// from CCoeControl.
	void Draw(const TRect& aRect) const;

private:
	CAknsBasicBackgroundControlContext* iBackground;
	CGetPixelsAppUi& iAppUi;
	const CFbsBitmap* iBitmap;
	mutable TRect iDrawingRect;
	};

#endif // __GETPIXELSMAINCONTAINER_H__
