/**
 *	@file	GetPixelsMainView.h
 *	@author	ENDO
 */

#ifndef __GETPIXELSMAINVIEW_H__
#define __GETPIXELSMAINVIEW_H__

#include <aknview.h>	// for CAknView.

class CGetPixelsAppUi;
class CGetPixelsMainContainer;
class CGetPixelsMainView : public CAknView
	{
public:
	static CGetPixelsMainView* NewL(void);
	virtual ~CGetPixelsMainView();

private:
	CGetPixelsMainView(void);
	void ConstructL(void);

public:
	void DrawDeferred(void) const;

private:
	// from CAknView.
	TUid Id(void) const;
	void HandleCommandL(TInt aCommand);
	void DoActivateL(const TVwsViewId& aPrevViewId, TUid aCustomMessageId, const TDesC8& aCustomMessage);
	void DoDeactivate(void);

private:
	CGetPixelsMainContainer* iContainer;
	CGetPixelsAppUi& iAppUi;
	};

#endif // __GETPIXELSMAINVIEW_H__
